Bug 218025 - Software profiles never compares properly the system packages.
Software profiles never compares properly the system packages.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
500
All Linux
high Severity high
: ---
: ---
Assigned To: Jesus M. Rodriguez
Steve Salevan
:
Depends On: 222922
Blocks: 173427
  Show dependency treegraph
 
Reported: 2006-12-01 07:18 EST by Jose Plans
Modified: 2007-07-31 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat500
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-25 23:01:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of profile compare (123.00 KB, image/jpeg)
2007-05-11 16:00 EDT, Matthew Davis
no flags Details

  None (edit)
Description Jose Plans 2006-12-01 07:18:30 EST
Description of problem:

When registering a system with kernel-older_version and kernel-newer_version,
and creating a profile after registering, if we want to install a system using
that profile -or- we remove the kernel-older_version from this system and want
to sync to reach the profile already stored, then only the latest kernel gets
installed. 

It seems older versions are not used at all for comparision.

Version-Release number of selected component (if applicable):
Latest 4.1.5, tested on 4.0.x and 4.1.5.

How reproducible:
Always.

Steps to Reproduce:

Steps to reproduce this bug :
1. rhnreg_ks ....
2. install new kernel 2.6.9 > the GA one.
3. check they are installed :
--
# rpm -qa | grep kernel\-2
 kernel-2.6.9-5.EL
 kernel-2.6.9-42.0.3.EL
--
4. create a profile based on this system already registered.
5. check it has the two kernels recorded.
--
kernel-2.6.9-5.EL
kernel-2.6.9-42.0.3.EL
--
6. remove the old kernel. and check whether we have it installed.
--
# rpm -e kernel-2.6.9-5.EL
# rpm -qa | grep kernel\-2
 kernel-2.6.9-42.0.3.EL
--
7. Update the system's profile information.
--
# up2date -p
 Updating package profile...
 Updating transaction history...
--
8. compare the system and the profile again.
8.a) under Stored Profiles -> Name of profile -> Packages -> kernel:
   --
   kernel-2.6.9-5.EL
   kernel-2.6.9-42.0.3.EL
   --
   Both kernels are still available.
8.b) compare the profiles now.
  under System profile -> Software -> Packages -> Profiles -> Compare...
  Select the profile name.
   --
   Below is a comparison of the package profile of this system and the profile
selected for comparison.
   No differences.
   --
  
Actual results:
   --
   Below is a comparison of the package profile of this system and the profile
selected for comparison.
   No differences.
   --

Expected results:
A kernel difference.

  Jose
Comment 3 Red Hat Bugzilla 2007-04-11 21:51:09 EDT
User bnackash@redhat.com's account has been closed
Comment 4 Mike McCune 2007-04-12 13:46:42 EDT
Matt, can you try and reproduce this on a 500 Satellite?  
Comment 5 Mike McCune 2007-04-12 13:47:28 EDT
If this is still broken in 500s can you re-assign to jesusr?
Comment 6 Matthew Davis 2007-05-11 15:59:25 EDT
The wording is a bit misleading.  Attaching screenshot of the output.  But
issueing the sync packages to profile commands does the 'right thing'.
Comment 7 Matthew Davis 2007-05-11 16:00:08 EDT
Created attachment 154567 [details]
screenshot of profile compare
Comment 8 Mike McCune 2007-05-14 14:00:42 EDT
wording is expected (albiet a bit odd).  Moving to ON_QA.
Comment 9 Preethi Thomas 2007-05-15 09:01:54 EDT
verified.
Comment 10 Steve Salevan 2007-06-19 11:39:02 EDT
Looks good on Stage-verified Satellite; moving to RELEASE_PENDING.
Comment 11 Brandon Perkins 2007-06-25 23:01:10 EDT
Closed for Satellite 500 Release.
Comment 12 Issue Tracker 2007-06-26 06:22:28 EDT
Davide,

I just received a notification from engineering saying that this issue has
been fixed in the latest version of Satellite 5.0.0.

Regards,

-- Navid

Internal Status set to 'Resolved'
Status set to: Closed by Tech
Resolution set to: 'RHN 5.0.0'
Ticket type set to: 'Problem'

This event sent from IssueTracker by navid 
 issue 101956

Note You need to log in before you can comment on or make changes to this bug.